Story Points:    

Description

the architecture specifies that Rest parameters are case insensitive, so the map keys to the multipart parameters (and files) need to

be case standardized as they are created (suggest lowercase) in order to be able to pull them out efficiently.  Otherwise, clients

would have to ask for 'PID', 'Pid', or 'pid' in order to make sure they are getting what they need.

Users of MultiPartRequestResolver will need to make code changes as well.

Subtasks:

Task # 1500: review arch docs to make sure parameters follow the same format (camelText) Closed

Task # 1499: review metacat handlers to remove case-standardizing logic and ensure prop... Closed

History

#1 - 2011-03-02 06:12 - Rob Nahf

- Category set to d1_common_java

- Assignee set to Rob Nahf

#2 - 2011-03-17 16:06 - Dave Vieglais

- Target version changed from Sprint-2011.10-Block.2 to Sprint-2011.11-Block.2

- Position set to 4

- Position deleted (32)

#3 - 2011-03-17 16:10 - Dave Vieglais

- Position deleted (5)

- Position set to 2

- Target version changed from Sprint-2011.11-Block.2 to Sprint-2011.12-Block.2

#4 - 2011-03-22 13:57 - Dave Vieglais

- Position set to 1

- Position deleted (6)

- Target version changed from Sprint-2011.12-Block.2 to Sprint-2011.13-Block.2

#5 - 2011-04-05 01:47 - Dave Vieglais

- Target version changed from Sprint-2011.13-Block.2 to Sprint-2011.14-Block.2

- Position set to 1

- Position deleted (16)

#6 - 2011-04-05 14:22 - Dave Vieglais

There was some discussion on this some time in January or February and the general consensus was to make the parameter keys and values case

sensitive, with preference for lower case keys.

In all cases, the description of the method signatures, type names, or properties as described in the types XML Schema should be considered first,

followed by the API documentation. Where conflicts occur, the types XML Schema will predominate.
#7 - 2011-04-13 04:13 - Dave Vieglais

- Position set to 4

- Position deleted (17)

- Target version changed from Sprint-2011.14-Block.2 to Sprint-2011.15-Block.2

#8 - 2011-04-25 15:53 - Dave Vieglais

- Position deleted (21)

- Target version changed from Sprint-2011.15-Block.2 to Sprint-2011.17-Block.3

- Position set to 4

#9 - 2011-05-03 03:46 - Dave Vieglais

- Position set to 1

- Position changed from 1 to 188

- Position deleted (14)

- Target version changed from Sprint-2011.17-Block.3 to Sprint-2011.18-Block.3

#10 - 2011-05-09 18:49 - Robert Waltz

- Target version changed from Sprint-2011.18-Block.3 to Sprint-2011.19-Block.3

- Position set to 28

- Position deleted (191)

#11 - 2011-05-16 18:03 - Dave Vieglais

- Target version changed from Sprint-2011.19-Block.3 to Sprint-2011.20-Block.3

- Position deleted (28)

- Position set to 3

#12 - 2011-05-25 15:41 - Dave Vieglais

- Target version changed from Sprint-2011.20-Block.3 to Sprint-2011.21-Block.3

- Position set to 1

- Position deleted (12)

#13 - 2011-05-31 14:22 - Dave Vieglais

- Status changed from New to Closed
